## Class Battaglia

    java.lang.Object
      Battaglia

    public class Battaglia

extends java.lang.Object

Gestisce gli scontri fra due giocatori. Calcola le armate di ognuno sui territori coinvolti, gestisce il lancio dei dadi e stabilisce l'eventuale vincitore. Dunque, aggiorna lo stato del gioco. Incorpora le regole dei combattimenti della versione standard di Risiko.

Version:
  1.0.0
Author:
  Alessio Treglia

Constructor Summary
`Battaglia(Giocatore attaccante, Giocatore difensore, java.lang.String territorioAttaccante, java.lang.String territorioDifensore)` Inizializza un oggetto gestore degli scontri fra i territori di giocatori diversi.

Method Summary
`SerieDiDadi` `getLancioAttacco()` Restituisce il lancio di dadi dell'attacco.
`SerieDiDadi` `getLancioDifesa()` Restituisce il lancio di dadi della difesa.
`int` `scontro(int nDadiAttacco, int nDadiDifesa)` Uno scontro fra due territori di giocatori diversi prevede il lancio di dadi da parte dell'attacco e dunque un lancio di dadi da parte della difesa.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Battaglia

    public Battaglia(Giocatore attaccante,
                     Giocatore difensore,
                     java.lang.String territorioAttaccante,
                     java.lang.String territorioDifensore)

  Inizializza un oggetto gestore degli scontri fra i territori di giocatori diversi.

  Parameters:
    `attaccante` - giocatore in attacco
    `difensore` - giocatore in difesa
    `territorioAttaccante` - territorio dell'attaccante
    `territorioDifensore` - territorio del difensore

Method Detail

### scontro

    public int scontro(int nDadiAttacco,
                       int nDadiDifesa)

  Uno scontro fra due territori di giocatori diversi prevede il lancio di dadi da parte dell'attacco e dunque un lancio di dadi da parte della difesa. Viene confrontato un numero comune di dadi fra l'attacco e la difesa. Un dado che sia maggiore (o uguale, nel caso del difensore) del dado corrispondente dell'avversario permette al giocatore di eliminare un'armata dal territorio dell'avversario. Nel caso che uno dei due territori rimanga sprovvisto di armate allora esso passa al giocatore che possiede l'altro territorio.

  Parameters:
    `nDadiAttacco` - numero di dadi lanciato dall'attaccante
    `nDadiDifesa` - numero di dadi lanciati dal difensore
  Returns:
    un valore diverso da 0 se la battaglia ha comportato la perdita del territorio da parte di uno dei due giocatori, maggiore di 0 in caso di vittoria dell'attaccante (il valore indica quante armate sono state impegnate nell'attacco), minore di 0 in caso di vittoria del difensore.

### getLancioAttacco

    public SerieDiDadi getLancioAttacco()

  Restituisce il lancio di dadi dell'attacco.

  Returns:
    un riferimento ad un oggetto `SerieDiDadi`, con il risultato dei dadi lanciati dall'attaccante

### getLancioDifesa

    public SerieDiDadi getLancioDifesa()

  Restituisce il lancio di dadi della difesa.

  Returns:
    un riferimento ad un oggetto `SerieDiDadi`, con il risultato dei dadi lanciati dal difensore